var cacheName = 'SurvivalHacks v1';
var cacheFiles = [
  '/',
  //HTML
  '/index.html',
  'news.html',
  'outdoors.html',
  'preparation.html',
  'waterandfood.html',
  'firstaid.html',
  //STYLE
  'css/style.css',
  'https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css',
  'https://fonts.googleapis.com/css?family=Bitter|News+Cycle|Open+Sans:300,400',
  'https://code.jquery.com/jquery-3.3.1.slim.min.js',
  'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js',
  'https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js',
  //IMAGES
  'img/foundation.jpg',
  'img/family.jpg',
  'img/foodstored.jpg',
  'img/ready.jpg',
  'img/water.jpg',
  'img/bag.jpg',
  'img/refuge.jpg',
  'img/global.jpg',
  'img/bottled.jpg',
  'img/cannedfood.jpg',
  'img/compass.jpg',
  'img/madrid.jpg',
  'img/birdflu.jpg',
  'img/permanganate.jpg',
  'img/report2.jpg',
  'img/flint.jpg',
  'img/report1.jpg',
  'img/ecoli.jpg',
  'img/armybag.jpg',
  'img/bugoutbag.jpg',
  'img/river2.gif',
  'img/avianflu.jpg',
  'img/poncho.jpg',
  'img/river3.gif',
  'img/river1.gif',
  'img/gravity.jpg',
  'img/camping.png',
  'img/matches.jpg',
  'img/firstaid.jpg',
  'img/firstaid.png',
  'img/hospital.png',
  'favicon/camping.svg'
];

self.addEventListener('install', function(event) {
  event.waitUntil(
    caches.open(cacheName)
      .then(function(cache) {
        return cache.addAll(cacheFiles);
      })
  );
});

self.addEventListener('fetch', function(event) {
  event.respondWith(
    caches.match(event.request)
      .then(function(response) {
        if (response) {
          return response;
        }
        return fetch(event.request);
    }).catch(function() {
      return caches.match('/offline/');
    })
  );
});

self.addEventListener('activate', function(event) {

  var cacheWhitelist = ['SurvivalHacks v1'];

  event.waitUntil(
    caches.keys().then(function(cacheNames) {
      return Promise.all(
        cacheNames.map(function(cacheName) {
          if (cacheWhitelist.indexOf(cacheName) === -1) {
            return caches.delete(cacheName);
          }
        })
      );
    })
  );
});
